Mentis - Business Consulting WordPress Elementor Theme

[ Exclusive Product ]

MonsterONE - Unlimited Downloads for $14.08/mo

200k Items | New Items Weekly | 24/7 Support Join to Download this Item  for Free
Mentis - Business Consulting WordPress Elementor Theme - Features Image 1Mentis - Business Consulting WordPress Elementor Theme - Features Image 2

Mentis WordPress Theme with Elementor Page Builder.

Mentis is a premium WordPress theme for business websites, business in business finance, SEO promotion, investment, etc. The topic can be suggested for a personal blog or news. It has basic post types: post with photo carousel, YouTube and Vimeo videos, posts for audio (for example, for SoundCloud), post link and post quote.

It is a lightweight and modern WordPress theme built with the popular Elementor page builder. The theme includes 10 premium Elementor widgets. You don't need to know coding - just drag and drop the desired Elementor widget to the page and customize its design.

To get started with the theme, you just need to make one click to install the demo content, as shown in the demo version. And ... all content will be on your site.

The Mentis theme has a MailChimp subscription for users. Users have no trouble subscribing to your site's newsletter with MailChimp.

This WordPress theme has its own menu with all the settings: Logo, Font, Color, Background, Contact information, etc.

Changelog

Changelog

[1.0.2] - June 1, 2021

  • Fix: All widgets Elementor for latest version Elementor

[1.0.1] - May 31, 2021

  • Fix: Preloader
  • WordPress support up to the latest version 5.7.2

[1.0.0] - Nov 25, 2020

  • Start Mentis WordPress Theme

0 Reviews for this product

0 Comments for this product

DeltaStudio since 2019
Products: 2 Sales: 8
Enthusiast Author

Created: Nov 25, 2020

Updated: Nov 25, 2020

ID: 126442

WordPress Builder:

WordPress Compatibility:

Compatible with:

Images included:

No

Requirements for software and hosting:

Apache Server Apache Server
Hosting with PHP5.2-5.4 and MySQL5x Hosting with PHP5.2-5.4 and MySQL5x
PHP 5.2.14 or higher
Apache 2.2 or 2.4 Apache 2.2 or 2.4
PHP 7.0.2 PHP 7.0.2
PHP 7.0.6.-7.0.x PHP 7.0.6.-7.0.x
PHP 7.0.4 PHP 7.0.4
PHP 7.1.x PHP 7.1.x
PHP 7.2.x PHP 7.2.x
PHP 7.1.3+ PHP 7.1.3+
WordPress 5.0-5.2.x WordPress 5.0-5.2.x